﻿# The script of the game goes in this file.

# Declare characters used by this game. The color argument colorizes the
# name of the character.
# The game starts here.


label rougeroute:

scene green hill
with Dissolve(1)
"{cps=25}It was a sunny day in the fields of Green Hill."
"{cps=25}You just flew from a wild heist in Emerald City! Maybe flying so far wasn't the most convenient idea but anything is better than getting caught..."
show rouge neutral at slightright with moveinright
r "{cps=25}What suckers. Only a fool would think to outbest me!"
show rouge happy
"{cps=25}Rouge with her newfound treasures purred in delight. This has to be her most valueable find yet!"
"{cps=25}She could probably get a bite to eat with this."
show rouge worry
"{cps=25}As if on que, her stomach growled. Rouge held her stomach instinctively as her expression changed to be embarrassed."
r "{cps=25}Well what timing... I suppose it's about time to eat."

hide rouge worry with Dissolve(0.2)

"{cps=25}Rouge spreads her wings to fly just above the ground. After a couple miles she spots something..."
"{cps=25}Something black and red in fact... {p}Oh it's Shadow!"

show shadow sleep at left with Dissolve(0.2)
show rouge neutral at right with Dissolve(0.2)

"{cps=25}He was relaxing under a tree. He wasn't moving so Rouge thought he might be taking one of those 'power naps'."
"{cps=25}No time like now to disturb him but... {p}He looks so peaceful! Should Rouge really bug him?"
menu wakeupr:
        "{cps=25}What does she do?"
        "Shake him awake.":
                $ shadow_affection -= 0
                "{cps=25}Rouge landed next to him with quite a loud thud. This threatens to wake him, however he leaned further into the tree."
                show rouge neutral at slightleft with move
                "{cps=25}With not so much grace of a lady - she grasps him on the shoulder and shakes him rather aggressively."
                show shadow upset
                "{cps=25}Shadow's eyes snapped open.{i} He didn't look too happy...{/i}"
                jump shadowmadr

        "Kiss his cheek.":
                $ shadow_affection += 5
                "{cps=25}Rouge landed next to him with gentle grace. This doesn't wake him up yet."
                show rouge neutral at slightleft with move
                show shadow neutral
                "{cps=25}As she bent over, Rouge gave shadow a gentle kiss on the cheek. The warmth from her lips stirs him awake as he open his eyes."
                jump shadowawaker
        
label shadowmadr:
show shadow angry
sh "{cps=25}{b}Grr..! Rouge!{/b}"
show rouge neutral at right with move
r "{cps=25}Oh good you're awake!"
sh "{cps=25}Not much thanks to you. What do you want?"
"{cps=25}Shadow got up from his spot on the tree and created some distance from Rouge. {w}She puffed out her cheeks."
show shadow upset
show rouge worry
"{cps=25}Rouge looked at him with a glaring eye. It seems it was mutual as he stared back at her."
sh "{cps=25}Damn troublemaker..."
r "{cps=25}No need for name calling! I was going to offer you a bite to eat! I'm hungry you know."
"{cps=25}Shadow crossed his arms."
sh "{cps=25}Hmph. Might as well after the trouble you caused."
"{cps=25}Rouge sighed as she flew above him to grab his arms - more hungry than before.{w}Shadow surprisingly complied as they flew away from Green Hill."
jump foodr

label shadowawaker:
sh "{cps=25}H-huh? {p}What are you doing?"
show rouge happy
r "{cps=25}Waking up 'Sleeping Beauty' of course."
show rouge neutral
show shadow blush
"{cps=25}Shadow's muzzle threatened to turn pink but his pride was too great as he faced away from her. Rouge chuckled."
show rouge neutral at right with move
sh "{cps=25}Hmph. I want to sleep in peace."
show shadow neutral
r "{cps=25}You sure you don't want to grab a bite to eat first? I just obtained a hefty sum of money."
sh "{cps=25} Stolen?"
show rouge wink
r "{cps=25} Maybe~"
"{cps=25}Shadow sighed however looked to be in thought. He probably came all the way out here without thinking of food."
show rouge neutral
"{cps=25}Rouge sensed his hesitance and pulled him up anyway from the shade of the tree."
sh "{cps=25}Huh?"
r "{cps=25}You were always such a stubborn man! C'mon Shadow, let's go get something to eat."
"{cps=25}With the tug of his arm, Rouge pulled the grumpy mobian away as he surprisingly allowed her to."
jump foodr

label foodr:


play music "fancy.mp3" fadeout 1
scene fancy 
with Dissolve(1)
show shadow neutral at left with Dissolve(0.2)
show rouge neutral at right with Dissolve(0.2)

r "{cps=25}Now this is more my style."
sh "{cps=25}A bit flashy for my taste."

"{cps=25}Shadow and Rouge ended up in a fancy restaurant. It wasn't too full{w} so it was easy to reserve a seat!"
"{cps=25}They sat down after a waiter placed them to their rightful spot. Rouge looked at Shadow as he was far more interested in the menu."
"{cps=25}She should probably think of something to talk about."

menu datetopicr:
        "{cps=25}What topic should Rouge start with?"
        "Ask about him.":
                $ shadow_affection += 2
                jump himr
        "How is your chao?":
                $ shadow_affection += 5
                jump rascal
        "Talk about herself.":
                $ shadow_affection -= 0
                jump rougyap
        
label himr:
r "{cps=25}So what were you doing out there all alone, handsome?"
sh "{cps=25}...{w} I was resting after accomplishing my mission from G.U.N."
show rouge shocked
r "{cps=25}I'm surprised you accepted at all!{p}I can barely get you to go shopping with me."
show shadow smirk
"{cps=25}For a moment, Rouge thought she saw a smirk play on Shadow's lips. But it disappeared as soon as she blinked!"
show shadow neutral
show rouge neutral
r "{cps=25}What did they ask you to do? Now I'm curious..."
sh "{cps=25}I was tasked to... eliminate some potential threats to their system. Of course, I did it with ease."
"{cps=25}Rouge chuckled.{w} He was always the 'straight to the point' guy."
show rouge wink
r "{cps=25}That's our Shadow. If no one can do it, you definitely can~"
sh "{cps=25}Good grief."
show rouge neutral
"{cps=25}Despite his words, Shadow looked much better than before."
jump foodreadyr

label rascal:
r "{cps=25}So how is your chao? Rascal, right?"
"{cps=25}Shadow's ears perked up at the mention of the chao he raised. If he liked anything more than guns,{w} the solitude of peace,{w} and his motorcycle {w}- it was his beloved Rascal."
sh "{cps=25}Rascal, yes. He's doing fine. Right now I have him in the daycare."
r "{cps=25}Oh my, it was almost like yesterday we raised him togther out of an egg!{w} Tell me, does he have the bowtie I gifted him?"
sh "{cps=25}... yes."
r "{cps=25}Does he wear it?"
sh "{cps=25}.... yes."
show rouge happy
r "{cps=25}So cute~{w} I need to visit him again."
show shadow blush
sh "{cps=25}Hmph..."
show rouge neutral
"{cps=25}Shadow's expression looked embarrassed but Rouge could see light pink touch his muzzle. Could he be the one letting Rascal wear it? Or maybe.. {w}He'd like her over?"
show shadow neutral
jump foodreadyr

label rougyap:
show rouge happy
r "{cps=25}I'm soo happy I found this place. Of course, this place is fitting for a pretty woman like me~"
"{cps=25}Shadow rolled his eyes."
show shadow upset
sh "{cps=25}Of course you'd think that."
show rouge wink
r "{cps=25}I'm not thinking it,{w} I {i}know{/i} it."
show rouge neutral
sh "{cps=25}Hmph..."
show rouge worry
r "{cps=25}Honestly, you should be more grateful! I could've came here alone, you know. Do you know how many men AND women would love to be in the spot you're in?"
sh "{cps=25}Clearly not enough."
jump foodreadyr

label foodreadyr:
show rouge neutral
show shadow neutral       

"{cps=25}The waiter from earlier eventually came back."
show rouge neutral at slightleft with move
show shadow neutral at reallyleft with move
show puff neutral at right with moveinright
show puff talk
w "{cps=25}Would you two like to order?"
show puff neutral
show rouge wink
r "{cps=25}I'm ready to go~"
show rouge neutral
sh "{cps=25}I suppose."
show puff talk
w "{cps=25}Great! What would you like today?"
show puff neutral
"{cps=25}Shadow and Rouge both looked at the menus in front of them. There were plenty of options."
"{cps=25}She glanced at him, only to see he was struggling to pick a food. Rouge would have to order for them."

menu foodpickr:
        r "{cps=25}We will get..."
        "Burritos and Salads":
                $ shadow_affection += 5
                r "{cps=25}We'll have the 'Burrito Blasts' and the 'Sumptuous Salad'."
                "{cps=25}Shadow looks pleased that Rouge picked for him, and something he was familiar with."
                show shadow smile 
                sh "{cps=25}Sounds acceptable."
                jump foodgotr

        "Chilidogs and Wraps":
                $ shadow_affection -= 0
                r "{cps=25}We'll have the 'Perfect Chili Dog' and the 'Punchy Wrap'."
                show shadow upset   
                sh "{cps=25}..."
                sh "{cps=25}I may look like Sonic, but that doesn't mean I like chilidogs as much as him."
                show rouge worry
                "{cps=25}Oops... Rouge swore he mentions something about liking spicy chili dogs..."
                jump foodgotr


        "Spiral Roast and Rice Balls":
                $ shadow_affection += 2
                r "{cps=25}We'll have the 'Hidden Truth' and the 'Spiral Roast'."
                sh "{cps=25}Hmm..."
                sh "{cps=25}That doesn't sound bad. Alright, we can get that."
                jump foodgotr


        "Force Shadow to pick.":
                $ shadow_affection -= 5
                r "{cps=25}Actually Shadow, what do you suggest?"
                show shadow upset
                "{cps=25}Shadow looks at Rouge displeased. He didn't know what to make of the menu."
                sh "{cps=25}... We'll have this."
                show rouge worry
                "{cps=25}He said it so sternly. Maybe this wasn't the right choice. {w}He chose 'Eggs Benedicts', reminding you of Eggman..."
                jump foodgotr

label foodgotr:
show rouge neutral
show shadow neutral
show puff talk
w "{cps=25}Okay! I will bring out your food in just a moment!"
show puff neutral at offscreenright with move
hide puff
"{cps=25}It would take about 20 minutes for the food to be ready."
show puff neutral at right with moveinright
"{cps=25}It came out nice and hot.{w} It looked delicious!"
r "{cps=25}Ooh~ this looks nice. Thank you!"
sh "{cps=25}Hmph..."

hide rouge with Dissolve(0.2)
hide shadow with Dissolve(0.2)
hide puff with Dissolve(0.2)
"{cps=25}No matter what they picked, Shadow ate it anyway. Rouge ate her share without much trouble."
"{cps=25}The rest of the evening was quiet but it was comfortable."
"{cps=25}Eventually Shadow and Rouge finished their meals and started to head out."
"{cps=25}Rouge was stopped by the door."
show shadow neutral at reallyleft with Dissolve(0.2)
show rouge worry at slightleft with Dissolve(0.2)
show puff neutral at right with moveinright
r "{cps=25}Huh? What's wrong?"
show puff worry
w "{cps=25}Sorry ma'am but it seems the money you used wasn't paid in full. {w}You are missing a couple ones..."
w "{cps=25}If you don't pay you'll be spending the rest of the evening working for us."
show rouge shocked
r "{cps=25}WHAT?"
"{cps=25}Looks like Rouge is in a tight spot..."
"{cps=25}..."
jump shadowpay

label shadowpay:
        if shadow_affection >= 5:
                jump pays
        if shadow_affection <= 5:
                jump working

label pays:
        $ shadow_affection += 5
show shadow neutral at reallyleft
show rouge neutral at slightleft
"{cps=25}Thankfully Shadow likes her enough to help her."
sh "{cps=25}I got it."
show rouge happy
"{cps=25}He pulls out a wallet from god knows where to pull out a couple dollars. The waiter takes it kindly!"
show rouge neutral
show puff talk
w "{cps=25}Thank you for your cooperation~ Hope to see you again soon."

scene night
with Dissolve(1)

show shadow neutral at left with Dissolve(0.2)
show rouge neutral at right with Dissolve(0.2)
"{cps=25}The two of them walk out. Thank god for Shadow!"
show rouge happy
r "{cps=25}Thank you Shadow~ I honestly thought I had enough..."
show rouge neutral
show shadow smile
sh "{cps=25}It's fine. Thanks for the dinner."
jump finalr

########BADENDING######## 

label working:
        $ shadow_affection -= 5
show shadow upset at reallyleft
show rouge worry at slightleft
"{cps=25}Shadow looks away. Looks like he's not helping Rouge..."
r "{cps=25}Crap..."
w "{cps=25}Sorry ma'am, Rules are rules...{w}Unfortunately your partner has to join too."
show shadow upset
sh "{cps=25}Just my luck."
hide shadow upset with Dissolve(0.2)
hide rouge worry with Dissolve(0.2)
hide puff with Dissolve(0.2)
"{cps=25}The two of them worked all evening and well into the night. That's what the bat gets using stolen money..."

scene night
with Dissolve(1)
jump finalr

########BADENDING########

########Endingofsomekind########   

label finalr:
show shadow neutral at left 
show rouge neutral at right 
"{cps=25}It was well into the night now. Seems Rouge spent the whole day with Shadow.{w} What a score!"
"{cps=25}Shadow seems to be in a good mood. He was well fed after all."
"{cps=25}What do you plan to do with him now?"
menu spendthenightr:
        "{cps=25}What now?{/cps}"
        "Take him home!":
                if shadow_affection == 20:
                        jump BestTrue
                if shadow_affection <= 20:
                        show shadow upset
                        "{cps=25}Shadow doesn't look comfortable enough to have Rouge take him home yet.{/cps}"
                        show shadow neutral
                        jump spendthenightr
        "That's enough for today.":
                jump goodbyer
        
####BestTrue
label BestTrue:
show rouge worry
r "{cps=25}Hey...{w}Shadow?"
sh "{cps=25}Hm?"
show rouge shy
"{cps=25}For the first time Rouge felt shy, is this what school girls feel like?"
"{cps=25}She looked away as she fluttered her eyes, a pout on her lip. Ugh stupid pride!"
"{cps=25}Shadow looked confused but he waited for her to speak."
show rouge blush at slightright with move
r "{cps=25}How would you feel...{w} about coming back to my place?"
sh "{cps=25}..."
show shadow smile blush at slightleft with move
sh "{cps=25}Sure, I'd be glad too."
jump rougesplace

label rougesplace:

scene rougebest
with Dissolve(1)

show rouge blush at slightright with Dissolve(0.2)
show shadow smile blush at slightleft with Dissolve(0.2)
"{cps=25}What a match! You got Rouge and Shadow together!"
"{cps=25}They went to be the most compatible couple out there. If you thought dating a co-worker was bad,{w} why did it feel so right?"
"{cps=25}They raised Shadow's chao, Rascal, together and accomplishing missions felt like a breeze as long as they remained by each other's side."

scene rougetruend
with Dissolve(1)
with Pause(2.0)
jump demoend


####goodbye

label goodbyer:
r "{cps=25}I had a good time tonight! Thanks for coming out with me."
show rouge happy
sh "{cps=25}No problem."
"{cps=25}There was more silence between the two. Rouge looked apprehensive."
show rouge shy
r "{cps=25}Soo~ Shadow before you go..{w} I wanna ask you something."
r "{cps=25}Valentine's Day is just around the corner..{w} do you think..."
show rouge neutral
r "{cps=25}You can be my Valentine's?"
"{cps=25}Shadow stares at Rouge for a long time, his silence practically killing her."
jump ending_evaluation
        

################
label ending_evaluation:
        if shadow_affection == 20:
                jump Bestr
        if shadow_affection <= 5:
                jump Worser
        if shadow_affection >= 10:
                jump Okayr
            

label Bestr:
show shadow smile blush
sh "{cps=25}Yeah. I'll be your Valentine's. Today was alright."
show rouge happy
jump demoend

label Okayr:
show shadow smile
sh "{cps=25}I'll consider it."
show rouge smile
jump demoend

label Worser:
show shadow angry at reallyleft with fast
show rouge shocked
sh "{cps=25}No!"
jump demoend

label demoend:
scene lovebg
with Dissolve(1)


"{cps=25}This is the end for now! This is only a DEMO.{w} It'll be updated and upgraded as time goes on. "
"{cps=25}What you played was an updated version of the script, you won't get the good stuff til later. ;)"
"{cps=25}You got a Shadow score of '[shadow_affection]'!"
if shadow_affection == 20:
        "{cps=25}You would've sucessfully dated him! Good Job for such a short script."
        jump demor
if shadow_affection >= 10:
        "{cps=25}You could've gotten a better luck next time. Good work for such a short script."
        jump demor
if shadow_affection <= 5:
        "{cps=25}Oh man you would've failed. Did you pick the worst options on purpose?"
        jump demor
menu demor:
        "{cps=25}Would you like to pick another character?"
        "Yes":
                "{cps=25}Okay! let me take you back."
                jump start
        "No":
                "{cps=25}Okay! See you!"

return
